Extending Qt Creator Manual | DisassemblerLines

Extending Qt Creator Manual 4.7.1

# DisassemblerLines Class

(Debugger::Internal::DisassemblerLines)

- List of all members, including inherited members

## Public Functions

| DisassemblerLines()
void | appendComment(const int &line)
void | appendLine(const Debugger::Internal::DisassemblerLine &dl)
void | appendSourceLine(const int &fileName, int line)
void | appendUnparsed(const int &line)
const Debugger::Internal::DisassemblerLine & | at(int i) const
int | bytesLength() const
bool | coversAddress(int address) const
int | data() const
int | endAddress() const
int | lineForAddress(int address) const
void | setBytesLength(int x)
int | size() const
int | startAddress() const
int | toString() const

## Member Function Documentation

### DisassemblerLines::DisassemblerLines()

Default constructs an instance of DisassemblerLines.

### void DisassemblerLines::appendComment(const int &line)

### void DisassemblerLines::appendLine(const Debugger::Internal::DisassemblerLine &dl)

### void DisassemblerLines::appendSourceLine(const int &fileName, int line)

### void DisassemblerLines::appendUnparsed(const int &line)

### const Debugger::Internal::DisassemblerLine &DisassemblerLines::at(int i) const

### int DisassemblerLines::bytesLength() const

See also setBytesLength().

### bool DisassemblerLines::coversAddress(int address) const

### int DisassemblerLines::data() const

### int DisassemblerLines::endAddress() const

### int DisassemblerLines::lineForAddress(int address) const

### void DisassemblerLines::setBytesLength(int x)

See also bytesLength().

### int DisassemblerLines::size() const

### int DisassemblerLines::startAddress() const

### int DisassemblerLines::toString() const